Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027372
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2014-08-19 13:142014-09-09 10:46
ReportermtaalView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchpiFixed in SCM revision3b2473c7f544
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027372: KernelServlet is not threadsafe

DescriptionThe kernel servlet does not seem to be threadsafe if there are multiple component requests which have bypass authentication on true.
Steps To ReproduceOpen a webpos retail page and check the log for invalidation messages.

A code review by itself already shows the threadunsafeness. See the proposed diff for a solution.
TagsNo tags attached.
Attached Filesdiff file icon kernelservlet.diff [^] (6,588 bytes) 2014-08-19 13:14 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0027248 closedmarvintm Retail Modules Sometimes the session expires before it should, use a different servlet/url for retrieving content before login 
blocks defect 0027337 acknowledgedRetail Retail Modules Stabilization: No tomcat errors while running the WebPOS 

-  Notes
(0069598)
hgbot (developer)
2014-08-22 09:36

Repository: erp/devel/pi
Changeset: 3b2473c7f544bd9f8453956d730a3028530f77ee
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri Aug 22 09:28:39 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3b2473c7f544bd9f8453956d730a3028530f77ee [^]

Fixes issue 27372: Some parts of the KernelServlet should be thread safe

The code that handles the forced sessions request counter should be thread safe, so it has been moved to a synchronized block.

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelServlet.java
---
(0069617)
hudsonbot (developer)
2014-08-22 17:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/3431be2d547a [^]
Maturity status: Test
(0070043)
alostale (developer)
2014-09-09 10:46

code reviewed and tested

- Issue History
Date Modified Username Field Change
2014-08-19 13:14 mtaal New Issue
2014-08-19 13:14 mtaal Assigned To => alostale
2014-08-19 13:14 mtaal File Added: kernelservlet.diff
2014-08-19 13:14 mtaal Modules => Core
2014-08-19 13:14 mtaal Triggers an Emergency Pack => No
2014-08-19 13:14 mtaal Relationship added blocks 0027248
2014-08-19 14:57 Orekaria Relationship added blocks 0027337
2014-08-22 09:17 AugustoMauch Assigned To alostale => AugustoMauch
2014-08-22 09:28 AugustoMauch Issue Monitored: alostale
2014-08-22 09:32 AugustoMauch Review Assigned To => alostale
2014-08-22 09:36 hgbot Checkin
2014-08-22 09:36 hgbot Note Added: 0069598
2014-08-22 09:36 hgbot Status new => resolved
2014-08-22 09:36 hgbot Resolution open => fixed
2014-08-22 09:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3b2473c7f544bd9f8453956d730a3028530f77ee [^]
2014-08-22 10:38 Orekaria Issue Monitored: Orekaria
2014-08-22 17:10 hudsonbot Checkin
2014-08-22 17:10 hudsonbot Note Added: 0069617
2014-08-27 10:04 Orekaria Status resolved => new
2014-08-27 10:04 Orekaria Resolution fixed => open
2014-08-27 10:04 Orekaria Status new => scheduled
2014-08-27 10:04 Orekaria fix_in_branch => pi
2014-09-02 22:18 Orekaria Status scheduled => resolved
2014-09-02 22:18 Orekaria Fixed in Version => 3.0PR14Q4
2014-09-02 22:18 Orekaria Resolution open => fixed
2014-09-09 10:46 alostale Note Added: 0070043
2014-09-09 10:46 alostale Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker